EDIT - bug #7143

Finish not enabled when unprotecting titleCache in new Person dialog
12/19/2017 01:22 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal Found in Version: Release 5.10
Description

Using the new person dialog, at the beginning the title cache is protected. Therefore entering data e.g. into "family name" does not
change the titleCache. It is still empty and therefore the "Finish" button is still disabled.

Now clicking on unprotected fills the titteCache and therefore the Finish button should be enabled, but isn't.

Please check if this might also be the case for other "New" dialogs.

Associated revisions

Revision 4e34a1f2 - 01/16/2018 03:01 PM - Katja Luther

ref #7143: enable finish in create person dialog if titteCache is set

Revision 788e46eb - 10/29/2019 12:48 PM - Katja Luther

ref #7143: enable finish correctly when titlecache is set

Revision 2cace77b - 11/06/2019 04:03 PM - Katja Luther

ref #7143: fix activation of finish button

History

#1 - 12/19/2017 01:23 PM - Andreas Miuller

- Description updated

#2 - 10/15/2019 12:09 PM - Andreas Kohlbecker

The problem persists, even if a commit exists for this issue.

#3 - 10/25/2019 05:20 PM - Andreas Miiller
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 5.11

Katja can you check the state here.

But we need to be very careful. | remember this has been fixed once but the fix created a regression elsewhere. So it needs to be well checked.

#4 - 10/29/2019 12:49 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Kohlbecker

now it should work correctly, please review

#5 - 10/29/2019 12:49 PM - Katja Luther
- % Done changed from 0 to 70

#6 - 11/04/2019 04:15 PM - Andreas Kohlbecker

- Status changed from Resolved to Feedback
- Assignee changed from Andreas Kohlbecker to Katja Luther
- Found in Version set to Release 5.10
Finish is not enabled when only the title cache is filled with data.
Even after entering the family name it still is required to click the title cache padlock icon twice to turn the Finish button to enabled state.
#7 - 11/05/2019 10:09 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Kohlbecker
Andreas Kohlbecker wrote:
Finish is not enabled when only the title cache is filled with data.

Even after entering the family name it still is required to click the title cache padlock icon twice to turn the Finish button to enabled state.

With the actual nightly | cannot reproduce this problem anymore. Did you used the actual nightly build?

#8 - 11/05/2019 10:21 AM - Andreas Kohlbecker
- Status changed from Feedback to Resolved
Katja Luther wrote:

Andreas Kohlbecker wrote:

With the actual nightly | cannot reproduce this problem anymore. Did you used the actual nightly build?

| was testing with the nightly build from yesterday. | will test again today.

#9 - 11/06/2019 03:53 PM - Andreas Kohlbecker

- File picture465-1.png added

- Assignee changed from Andreas Kohlbecker to Katja Luther

I would expect that the finish button is enabled after entering text in the TitleCache field only.

This is not yet working:

New Person

Title Cache Platon‘

Abbrev. Title

Familiy Name
Other/ Given Names
Initials

Prefix

[ IR = =2

]

Cancel Finish

#10 - 11/07/2019 09:08 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Kohlbecker
this is fixed now.

#11 - 11/07/2019 11:15 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Katja Luther
- Priority changed from New to Highest

- % Done changed from 70 to 100

confirmed!
